## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TraceListener::TraceListenerTraceFunctor Struct Reference

`#include <TraceListener.hpp>`

Collaboration diagram for TraceListener::TraceListenerTraceFunctor:

List of all members.

## Public Methods

- TraceListenerTraceFunctor (const TracerEvent& theEvent)
- void operator() (TraceListener* theListener) const

## Public Attributes

- const TracerEvent& m_event

## Constructor & Destructor Documentation

TraceListener::TraceListenerTraceFunctor::TraceListenerTraceFunctor ( | const TracerEvent & theEvent )

## Member Function Documentation

void TraceListener::TraceListenerTraceFunctor::operator() ( | TraceListener * theListener ) const`[]`

## Member Data Documentation

const TracerEvent & TraceListener::TraceListenerTraceFunctor::m_event

The documentation for this struct was generated from the following file:

- TraceListener.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.